/***
	Copyright (c) 2008 CommonsWare, LLC
	
	Licensed under the Apache License, Version 2.0 (the "License"); you may
	not use this file except in compliance with the License. You may obtain
	a copy of the License at
		http://www.apache.org/licenses/LICENSE-2.0
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
*/

package com.commonsware.android.fancylists.eight;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.ListAdapter;
import android.widget.ListView;
import java.util.List;
import java.util.Map;

public class CheckListView extends ListView {
	public CheckListView(Context context) {
		super(context);
	}
	
	public CheckListView(Context context, AttributeSet attrs,
												Map inflateParams) {
		super(context, attrs, inflateParams);
	}
									
	public CheckListView(Context context, AttributeSet attrs,
												Map inflateParams, int defStyle) {
		super(context, attrs, inflateParams, defStyle);
	}
	
	public void setAdapter(ListAdapter adapter) {
		super.setAdapter(new CheckableWrapper(getContext(), adapter));
	}
	
	public List<Integer> getCheckedPositions() {
		return(((CheckableWrapper)getAdapter()).getCheckedPositions());
	}
	
	public List<Object> getCheckedObjects() {
		return(((CheckableWrapper)getAdapter()).getCheckedObjects());
	}
}